%bcond_with bootstrap

Summary: Qt5 meta package
Name: qt5
Version: 5.15.11
Release: 1%{?dist}
License: GPL-3.0-only
URL: https://src.fedoraproject.org/rpms/qt5
Source0: macros.qt5
Source1: macros.qt5-srpm
Source2: qmake-qt5.sh

%if %{with bootstrap}
Autoreq: no
%else
Requires: qt5-qdbusviewer, qt5-qt3d, qt5-qtbase, qt5-qtbase-gui, qt5-qtbase-mysql, qt5-qtbase-postgresql, qt5-qtconnectivity
Requires: qt5-qtdeclarative, qt5-qtdoc, qt5-qtgraphicaleffects, qt5-qtimageformats, qt5-qtlocation, qt5-qtmultimedia
Requires: qt5-qtquickcontrols, qt5-qtquickcontrols2, qt5-qtscript, qt5-qtsensors, qt5-qtserialport, qt5-qtsvg, qt5-qttools
Requires: qt5-qtwayland, qt5-qtwebchannel, qt5-qtwebsockets, qt5-qtx11extras, qt5-qtxmlpatterns
%endif

BuildArch: noarch

%description
%{summary}.

%if %{without bootstrap}
%package devel
Summary: Qt5 meta devel package
Requires: qt5-rpm-macros
Requires: qt5-qttools-static, qt5-qtdeclarative-static, qt5-qtbase-static, qt5-designer, qt5-qdoc, qt5-qhelpgenerator
Requires: qt5-linguist, qt5-qt3d-devel, qt5-qtbase-devel, qt5-qtconnectivity-devel, qt5-qtdeclarative-devel, qt5-qtlocation-devel
Requires: qt5-qtmultimedia-devel, qt5-qtscript-devel, qt5-qtsensors-devel, qt5-qtserialport-devel, qt5-qtsvg-devel, qt5-qttools-devel
Requires: qt5-qtwayland-devel, qt5-qtwebchannel-devel, qt5-qtwebsockets-devel, qt5-qtx11extras-devel, qt5-qtxmlpatterns-devel

%description devel
%{summary}.
%endif

%package rpm-macros
Summary: RPM macros for building Qt5 and KDE Frameworks 5 packages
Requires: cmake >= 3
Requires: gcc-c++

%description rpm-macros
%{summary}.

%package srpm-macros
Summary: RPM macros for source Qt5 packages

%description srpm-macros
%{summary}.


%install
install -Dpm644 %{SOURCE0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5
install -Dpm644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5-srpm
install -Dpm755 %{SOURCE2} %{buildroot}%{_bindir}/qmake-qt5.sh
mkdir -p %{buildroot}%{_datadir}/qt5/wrappers
ln -s %{_bindir}/qmake-qt5.sh %{buildroot}%{_datadir}/qt5/wrappers/qmake-qt5
ln -s %{_bindir}/qmake-qt5.sh %{buildroot}%{_datadir}/qt5/wrappers/qmake

sed -i \
  -e "s|@@QT5_CFLAGS@@|%{?qt5_cflags}|g" \
  -e "s|@@QT5_CXXFLAGS@@|%{?qt5_cxxflags}|g" \
  -e "s|@@QT5_RPM_LD_FLAGS@@|%{?qt5_rpm_ld_flags}|g" \
  -e "s|@@QT5_RPM_OPT_FLAGS@@|%{?qt5_rpm_opt_flags}|g" \
  -e "s|@@QMAKE@@|%{_prefix}/%%{_lib}/qt5/bin/qmake|g" \
  -e "s|@@QMAKE_QT5_WRAPPER@@|%{_bindir}/qmake-qt5.sh|g" \
  %{buildroot}%{_rpmconfigdir}/macros.d/macros.qt5



%files rpm-macros
%{_rpmconfigdir}/macros.d/macros.qt5
%{_bindir}/qmake-qt5.sh
%{_datadir}/qt5/wrappers/

%files srpm-macros
%{_rpmconfigdir}/macros.d/macros.qt5-srpm


%changelog
* Fri Jan 19 2024 edwardewang <edwardewang@tencent.com> - 5.15.11-1
- Upgrade to 5.15.11

* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 14 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-5
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 06 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-4
- switched to non-bootstrap

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 08 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-2
- Tuned url infomation

* Thu Dec 1 2022 Zhao Zhen <jeremiazhao@tencent.com> - 5.15.7-1
- initial
